﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using Infragistics.UltraChart.Core.Primitives;
using System.Drawing;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        this.UltraChart1.DataSource = GetData();
        this.UltraChart1.DataBind();
    }

    private DataTable GetData()
    {
        DataTable mydata = new DataTable();
        // Define the columns and their names
        mydata.Columns.Add("Date", typeof(string));
        mydata.Columns.Add("A", typeof(int));
        mydata.Columns.Add("B", typeof(int));
        mydata.Columns.Add("C", typeof(int));
        mydata.Columns.Add("D", typeof(int));


        // Add the rows of data
        mydata.Rows.Add(new Object[] { "A", 1, 32, 46, 4 });
        mydata.Rows.Add(new Object[] { "B", 3, 20, 64, 5 });
        mydata.Rows.Add(new Object[] { "C", 5, 2, 6, 7 });
        mydata.Rows.Add(new Object[] { "D", 7, 81, 7, 35 });


        return mydata;
    }

    private System.Drawing.Color GetCustomColor(int p, int p_2)
    {
        if (p > 1)
        {
            return Color.Blue;

        }
        else
        {

            return Color.Red;
        }
    }
    protected void UltraChart1_FillSceneGraph(object sender, Infragistics.UltraChart.Shared.Events.FillSceneGraphEventArgs e)
    {
        foreach (Primitive p in e.SceneGraph)
        {
            if (p.Path == "Border.Title.Grid.Chart")
            {
                p.PE.Fill = GetCustomColor(p.Row, p.Column);
                p.PE.FillOpacity = 200;
              
            }

            if (p.Path != null && p.Path.Contains("Border.Title.Grid"))
            {
                if (p.GetType().Name == "Line")
                {
                    if (((Infragistics.UltraChart.Core.Primitives.PrimitiveShape)(p)).lineStyle.DrawStyle.ToString() == Infragistics.UltraChart.Shared.Styles.LineDrawStyle.Solid.ToString())
                    {
                        p.PE.Stroke = Color.Black;
                        p.PE.StrokeWidth = 2;
                        p.PE.StrokeOpacity = 200;
                    }                   
                }
                else if (p.GetType().Name == "Box")
                {
                    p.PE.Stroke = Color.White;
                    p.PE.StrokeWidth = 2;
                    p.PE.StrokeOpacity = 200;

                }

            }
        }
    }
}